get project usage data.md
Get project usage data
Management API · Reports
GET https://app.mk.io/api/v1/projects/{project_name}/usage
Get usage data since the start of the month for a specified project.
RBAC Capability Required: core.project.get
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
Example request
curl -X GET "https://app.mk.io/api/v1/projects/{project_name}/usage" \
-H "Authorization: Bearer <token>"
Responses
200 — OK
supplemental· object · Required — Metadata pertaining to the query.end· string · Required — The end date of the query.project· string · Required — The name of the project.records· integer · Required — The number of result records returned.start· string · Required — The start date of the query.
value· list of objects · Required — The usage data per day per meter- Array items (object):
family· string · Required — The family that this solution belongs to.meterName· string · Required — The meter name.quantity· double · Required — The number of units accrued on this date.solution· string · Required — The solution that this meter belongs to.unit· string · Required — The unit that this meter is reported in, e.g. 'gigabytes' or 'minutes'.
- Array items (object):
Example:
{
"supplemental": {
"end": "string",
"project": "string",
"records": 0,
"start": "string"
},
"value": [
{
"family": "string",
"meterName": "string",
"quantity": 0,
"solution": "string",
"unit": "string"
}
]
}
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
Source spec: management-api · operationId: [get]_/api/v1/projects/{project_name}/usage